<template lang="html">
  <div class="message-dialog">
    <div class="exit-btn-container">
      <button class="exit-btn"
        v-on:click="closeDialog()">
        <svg width="24" height="24" viewBox="0 0 16 16" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><title>close-icon-white</title><g id="Page-1" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><g id="Artboard" transform="translate(-155.000000, -202.000000)" fill-rule="nonzero" fill="#22C19A"><polygon id="close-icon-white" points="171 203.611429 169.388571 202 163 208.388571 156.611429 202 155 203.611429 161.388571 210 155 216.388571 156.611429 218 163 211.611429 169.388571 218 171 216.388571 164.611429 210"></polygon></g></g></svg>
      </button>
    </div>
    <div class="content">
      <h2 class="text-title">{{ messageDetails.title }}</h2>
      <div class="text-content">
        <p v-html="newlineToBr(messageDetails.content)"></p>
      </div>
    </div>
  </div>
</template>

<script>
import { mapState, mapActions } from 'vuex'

export default {
  name: 'ep-message-dialog',
  data () {
    return { }
  },
  computed: {
    ...mapState('app', [
      'messageDetails'
    ])
  },
  methods: {
    ...mapActions('app', [
      'closeDialog'
    ]),
    newlineToBr (text) {
      return text.replace(/\n/g, '<br><br>')
    }
  }
}
</script>

<style lang="scss" scoped>
@import '~assets/styles/input';
@import '~assets/styles/theme';

.message-dialog {
  position: relative;
  display: block;
  background: #FFFFFF;
  width: $dialog-width;
}

.content {
  position: relative;
  padding: 20px 20px;
  margin: auto;
  text-align: center;
}

.text-title {
  text-align: left;
}

.text-content {
  text-align: left;
  max-height: 300px;
  overflow-y: scroll;
}

.exit-btn-container {
  position: relative;
  width: 100%;
  height: 30px;
  padding-top: 16px;

  .exit-btn {
    float: right;
    height: 100%;
    border: 0;
    margin-right: 16px;
    padding: 0;
    background: transparent;
  }
}
</style>
